summaryrefslogtreecommitdiff
path: root/.tools/imagemagiccheck.sh
diff options
context:
space:
mode:
authorJesusaves <cpntb1@ymail.com>2023-01-04 15:59:08 -0300
committerJesusaves <cpntb1@ymail.com>2023-01-04 15:59:08 -0300
commit299b38bd5dda1e37cd894a2907605c58b19b4f64 (patch)
treeabc64b63c06ca1817769ed10f3d4a9ff2914373b /.tools/imagemagiccheck.sh
parent3daa25760e3cd226b708a302b222314823178f7f (diff)
downloadclientdata-299b38bd5dda1e37cd894a2907605c58b19b4f64.tar.gz
clientdata-299b38bd5dda1e37cd894a2907605c58b19b4f64.tar.bz2
clientdata-299b38bd5dda1e37cd894a2907605c58b19b4f64.tar.xz
clientdata-299b38bd5dda1e37cd894a2907605c58b19b4f64.zip
Forcefully introduce the standardized CI to client-data
Diffstat (limited to '.tools/imagemagiccheck.sh')
-rwxr-xr-x.tools/imagemagiccheck.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/.tools/imagemagiccheck.sh b/.tools/imagemagiccheck.sh
new file mode 100755
index 00000000..34621cdd
--- /dev/null
+++ b/.tools/imagemagiccheck.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+
+source ./.tools/init.sh
+
+clientdata_init
+
+aptget_update
+aptget_install git-core gcc ca-certificates imagemagick
+rm -rf tools
+gitclone https://git.themanaworld.org/evolved tools.git tools
+
+cd tools/CI/imagescheck
+
+./icccheck.sh >icccheck.log
+check_error $?
+
+export RES=$(cat icccheck.log)
+if [[ -n "${RES}" ]]; then
+ echo "Detected icc profiles"
+ cat icccheck.log
+ exit 1
+fi